Results 1 to 4 of 4

Thread: HELP with compiling new drivers to zenbootPXE!

Threaded View

  1. #1

    HELP with compiling new drivers to zenbootPXE!


    I'm writing out of desperation here. I'm no linuxguru but learning (not much of a choice but its quite fun), now I've got a problem regarding the compiling of drivers to make a new laptop model able to PXEboot on our zenworks 10 imaging-server. I have made it to the part of the compiling, for the HP 620 probook NTcard. I have after (a LOT of reading...) installed all parts/modules I think I need such as kernel-source, kernel-devel, make, automake, and gcc+. Our zenworks server is running kernel (uname -r), I have downloaded the e1000e sourcefiles and trying to run the "make install"-command but it has given me errors, from beginning it gave me "missing autoconf.h" errors but somehow I think I solved that issue, now it says "Aborting the build. This driver is not supported on kernel versions older than 2.4.0." But I can't understand WHY it complains when my kernel-version is 2.6.x? also that is the kernel linked under /usr/src/linux

    Somehow I need to get this .ko file because we have many new models that wont be able to image from now on.. The company that we used to consult with have disbanded and we sadly need to get this working. We are bound to use the unsupported zenworks 10 for at least one more year sadly..

    Best regards
    Attached Images Attached Images

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts